MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("CAValueFunction", true) Class used to apply functions to property values during an animation. To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("functionWithName:")
  MonoMac.CoreAnimation.CAValueFunction `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("name")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionRotateX To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionRotateY To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionRotateZ To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionScale To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionScaleX To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionScaleY To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionScaleZ To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionTranslate To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionTranslateX To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionTranslateY To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant kCAValueFunctionTranslateZ To be added.